---
# - name:
#   include: service_create.yml
#   vars:
#     name:
#     type:
#     description:

- name: 'Check "{{ name }}" role exists'
  command: openstack --insecure service show "{{ name }}"
  register: serviceExist
  ignore_errors: True
  run_once: True
  environment: "{{ admin_auth_env }}"

- name: 'Create service "{{ name }}"'
  shell: openstack --insecure service create --name {{ name }} --description "{{ description }}" {{ type }}
  when: serviceExist is failed
  environment: "{{ admin_auth_env }}"
  run_once: True

